# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(AnyEvent.pm) perl(AnyEvent/Future.pm) perl(Async/Interrupt.pm) perl(CPAN.pm) perl(CPAN/Meta.pm) perl(CPAN/Meta/Check.pm) perl(Carp.pm) perl(Devel/CheckLib.pm) perl(Devel/PPPort.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/ParseXS.pm) perl(IO/Async/Handle.pm) perl(IO/Async/Loop.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(Net/FTP.pm) perl(POE.pm) perl(POE/Future.pm) perl(POE/Kernel.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Perldoc/ToPod.pm) perl(Scope/Guard.pm) perl(Storable.pm) perl(Test/Class/Moose.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Strict.pm) perl(Throwable.pm) perl(Try/Tiny.pm) perl(XSLoader.pm) perl(YAML/Tiny.pm) perl(namespace/autoclean.pm) perl(namespace/clean.pm) perl(parent.pm)
BuildRequires: zookeeper-devel
# END SourceDeps(oneline)
%define module_version 0.1.7
%define module_name ZooKeeper
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.7
Release: alt1
Summary: Perl bindings for Apache ZooKeeper
Group: Development/Perl
License: perl
URL: https://github.com/mark-5/p5-zookeeper

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MAF/%{module_name}-%{module_version}.tar.gz

%description
ZooKeeper is a perl interface to the Apache ZooKeeper C client library.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install
rm %buildroot%perl_vendor_archlib/README.pod

%files
%doc README.pod Changes examples
%perl_vendor_archlib/Z*
%perl_vendor_autolib/*

%changelog
* Wed Mar 23 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.7-alt1
- initial import by package builder

